#
# Conditional build:
%bcond_without	static_libs	# static library build
#
Summary:	A pipeline manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na linii potoków
Name:		libpipeline
Version:	1.5.1
Release:	1
License:	GPL v3+
Group:		Development/Libraries
Source0:	http://download.savannah.gnu.org/releases/libpipeline/%{name}-%{version}.tar.gz
# Source0-md5:	4c8fe6cd85422baafd6e060f896c61bc
URL:		http://libpipeline.nongnu.org/
BuildRequires:	check-devel >= 0.9.4
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which
is often error-prone and insecure. This alleviates programmers of the
need to laboriously construct pipelines using lower-level primitives
such as fork(2) and execve(2).

%description -l pl.UTF-8
libpipeline to biblioteka C do ustanawiania i uruchamiania linii
potoków procesów bez potrzeby wykonywania analizy linii poleceń, która
jest zwykle błędogenna i niebezpieczna. Ogranicza konieczność
pracochłonnego tworzenia linii potoków przez programistów przy użyciu
niskopoziomowych wywołań, takich jak fork(2) i execve(2).

%package devel
Summary:	Header file for pipeline manipulation library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki operacji na linii potoków
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
libpipeline-devel contains the header file needed to develop programs
that use libpipeline library.

%description devel -l pl.UTF-8
Ten pakiet zawiera plik nagłówkowy potrzebny do tworzenia programów
wykorzystujących bibliotekę libpipeline.

%package static
Summary:	Static libpipeline library
Summary(pl.UTF-8):	Statyczna biblioteka libpipeline
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libpipeline library.

%description static -l pl.UTF-8
Statyczna biblioteka libpipeline.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	prefix=%{_prefix} \
	INSTALL='install -p' \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libpipeline.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libpipeline.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpipeline.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpipeline.so
%{_includedir}/pipeline.h
%{_mandir}/man3/libpipeline.3*
%{_mandir}/man3/pipecmd_*.3*
%{_mandir}/man3/pipeline_*.3*
%{_pkgconfigdir}/libpipeline.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpipeline.a
%endif
%changelog
* Thu Aug 08 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpipeline.git;a=log;h=master

* Thu Aug 08 2019 Jakub Bogusz <qboosh@pld-linux.org> d764af4
- updated to 1.5.1

* Mon Jun 18 2018 Jakub Bogusz <qboosh@pld-linux.org> 92812a2
- updated to 1.5.0

* Sat Sep 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 42882bf
- updated to 1.4.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7172b32
- x32 rebuild
- release 2 (by relup.sh)

* Sun Nov 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 97957da
- up to 1.4.0

* Sun Apr 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 53089f3
- updated to 1.3.0

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> a839684
- updated to 1.2.6

* Sun Dec 08 2013 Jakub Bogusz <qboosh@pld-linux.org> c134d58
- updated to 1.2.5
- dropped Fedora-specific Provides

* Thu Jul 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c02e58
- updated to 1.2.4

* Sat May 11 2013 Jakub Bogusz <qboosh@pld-linux.org> b923834
- pl, cleanup, added -static (with bcond)

* Tue Apr 30 2013 Kacper Kornet <draenog@pld-linux.org> e556ac9
- updated to 1.2.3
- verbose make

* Tue Aug 30 2011 Elan Ruusamäe <glen@pld-linux.org> e79a2a9
- new, based on fedora spec

